# class Uint8ClampedArray

#### package js.html

#### extends ArrayBufferView

Available on HTML5

### Constructor

###

`new (buffer:ArrayBuffer, ?byteOffset:Int, ?length:Int)`

`new (length:Int)`

`new (array:Uint8ClampedArray)`

`new (array:Array<Int>)`

Throws:

`null` | DOMError

### Variables

###

`read onlylength:Int`

### Methods

###

`set (array:Array<Int>, ?offset:Int):Void`

`set (array:Uint8ClampedArray, ?offset:Int):Void`

###

`subarray (start:Int, ?end:Int):Uint8ClampedArray`

### Static variables

###

`staticinline read onlyBYTES_PER_ELEMENT:Int = 1`

### Inherited Variables

#### Defined by ArrayBufferView

###

`read onlybuffer:ArrayBuffer`

###

`read onlybyteLength:Int`

###

`read onlybyteOffset:Int`

### Inherited Methods